
Redmine - Defect #8139

p.push is not an object in dragdrop.js @379

2011-04-13 13:35 - Daniel Tsviatkov

Status: Closed Start date: 2011-04-13

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Gantt Estimated time: 0.10 hour

Target version:    

Resolution:  Affected version: 1.2.0

Description

the patch should look like this

Line Bourdages 376 of dragdrop.js

---p = Position.page(this.options.scroll);

+++p = Position.page(this.options.scroll).toArray();

History

#1 - 2011-04-13 13:39 - Daniel Tsviatkov

Even better would be if update the whole lib for next version

#2 - 2011-06-13 12:31 - Jean-Baptiste Barth

- Affected version (unused) changed from 1.1.2 to 1.2.0

- Resolution deleted (Fixed)

- Affected version changed from 1.1.2 to 1.2.0

As far as I know, prototype and scriptaculous are in the versions that ship with rails 2.3.11. I don't think we should patch it directly, or the patch will be

lost with the next rails upgrade... Any idea if it's solved in rails 3.x ?

#3 - 2011-06-13 13:03 - Etienne Massip

Jean-Baptiste Barth wrote:

As far as I know, prototype and scriptaculous are in the versions that ship with rails 2.3.11.

 I'm not sure about this : Prototype has been upgraded to 1.7 for IE9 compatibility concerns and this may be a version more recent than the one

shipped with RoR 2.3.11, and on the other hand, I'm not sure scriptaculous has even been upgraded to fit RoR's version.

#4 - 2011-06-13 18:05 - Jean-Baptiste Barth

You're right : Rails 2.3.11 ships with Prototype 1.6.x. Anyway, dragdrop.js is identical...

#5 - 2014-04-22 10:42 - Toshi MARUYAMA

- Status changed from New to Closed

prototype was dropped by r10068.
